Skip to main content
GET
/
v1
/
agents
/
deployments
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi({
  bearerAuth: process.env["RAIJINLABSLUCIDAI_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await raijinLabsLucidAi.agents.deploy.lucidListAgentDeployments();

  console.log(result);
}

run();
{
  "success": true,
  "deployments": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Query Parameters

tenant_id
string

Filter deployments by tenant identifier

status
string

Filter by deployment status (e.g. running, stopped, failed)

target
string

Filter by deploy target (docker, railway, akash, phala, ionet, nosana)

Response

OK

success
boolean
required
deployments
object[]
required